Skip to main content
GET
/
registry
/
metadata
/
v1
/
instruments
GET /registry/metadata/v1/instruments
curl --request GET \
  --url https://api.example.com/registry/metadata/v1/instruments
{
  "instruments": [
    {
      "id": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "decimals": 10,
      "supportedApis": {},
      "totalSupply": "<string>",
      "totalSupplyAsOf": "2023-11-07T05:31:56Z"
    }
  ],
  "nextPageToken": "<string>"
}

Query Parameters

pageSize
integer<int32>
default:25

Number of instruments per page.

pageToken
string

The nextPageToken received from the response for the previous page.

Response

ok

instruments
object[]
required
nextPageToken
string

The token for the next page of results, to be used as the lastInstrumentId for the next page.